Daemon Power

The NetBSD Packages Collection: lang/python27

Brief description of the package:
Interpreted, interactive, object-oriented programming language

Please read the file "DESCR" for a longer description, or browse the package's history.

This package has a home page at https://www.python.org/.

Please note that this package has a python-software-foundation license.

The package is located in the "lang/python27" directory. The current source version of the package is "python27-2.7.14". For a summary on how to use the package collection, go to the top of the packages tree.

Problem reports, updates or suggestions for this package should be reported with send-pr.

The following security vulnerabilities are known for lang/python27 :

If you have a vulnerable package installed on any machine, you are advised to remove the package immediately, using the standard package tools. The pkg_admin audit command locates any installed package which has been mentioned in security advisories as being vulnerable.

This package requires the following package(s) to build: mozilla-rootcerts>=1.0.20150804nb1 cwrappers>=20150314 libffi>=1.20 libffi>=3.0.11 readline>=2.2 readline>=6.0 .

This package requires the following package(s) to run: mozilla-rootcerts>=1.0.20150804nb1 libffi>=1.20 libffi>=3.0.11 .

This package supports the following build-time options:

x11
Enable X11 support.

Select one of the links below to download the package in precompiled binary form for installation with pkg_add(1). Available machine architectures and package versions:
alpha:python27-2.7.11nb2.tgz(NetBSD 7.0)
alpha:python27-2.7.10.tgz(NetBSD 7.0)
alpha:python27-2.7.11.tgz(NetBSD 7.0)
alpha:python27-2.7.13nb1.tgz(NetBSD 8.0)
arm:python27-2.7.6nb3.tgz(NetBSD 6.1_STABLE)
earm:python27-2.7.11.tgz(NetBSD 7.0)
earm:python27-2.7.9nb1.tgz(NetBSD 7.0)
earm:python27-2.7.10.tgz(NetBSD 7.0)
earm:python27-2.7.10.tgz(NetBSD 7.0)
earm:python27-2.7.11.tgz(NetBSD 7.0)
earmv4:python27-2.7.13nb1.tgz(NetBSD 7.1)
earmv6hf:python27-2.7.9nb1.tgz(NetBSD 7.0)
earmv6hf:python27-2.7.10.tgz(NetBSD 7.0)
earmv6hf:python27-2.7.10.tgz(NetBSD 7.0)
earmv6hf:python27-2.7.11.tgz(NetBSD 7.0)
earmv7hf:python27-2.7.11.tgz(NetBSD 7.0)
earmv7hf:python27-2.7.10.tgz(NetBSD 7.0)
earmv7hf:python27-2.7.10.tgz(NetBSD 7.99.21)
earmv7hf:python27-2.7.13nb1.tgz(NetBSD 8.0_BETA)
earmv7hfeb:python27-2.7.11nb1.tgz(NetBSD 7.0)
i386:python27-2.7.6nb3.tgz(MirBSD 10)
i386:python27-2.7.14.tgz(NetBSD 6.0)
i386:python27-2.7.12nb4.tgz(NetBSD 6.0)
i386:python27-2.7.12nb4.tgz(NetBSD 6.0)
i386:python27-2.7.13nb1.tgz(NetBSD 6.0)
i386:python27-2.7.13nb1.tgz(NetBSD 6.0)
i386:python27-2.7.14.tgz(NetBSD 6.1)
i386:python27-2.7.12nb4.tgz(NetBSD 6.1)
i386:python27-2.7.12nb4.tgz(NetBSD 6.1)
i386:python27-2.7.13nb1.tgz(NetBSD 6.1)
i386:python27-2.7.13nb1.tgz(NetBSD 6.1)
i386:python27-2.7.14.tgz(NetBSD 7.0)
i386:python27-2.7.12nb4.tgz(NetBSD 7.0)
i386:python27-2.7.12nb4.tgz(NetBSD 7.0)
i386:python27-2.7.13nb1.tgz(NetBSD 7.0)
i386:python27-2.7.13nb1.tgz(NetBSD 7.0)
i386:python27-2.7.14.tgz(NetBSD 8.0_BETA)
i386:python27-2.7.2.tgz(QNX 6.5.0)
m68k:python27-2.7.6nb3.tgz(NetBSD 6.1)
m68k:python27-2.7.11nb2.tgz(NetBSD 7.0)
mipsel:python27-2.7.10.tgz(NetBSD 6.1.5)
powerpc:python27-2.7.12nb4.tgz(NetBSD 6.0)
powerpc:python27-2.7.13nb1.tgz(NetBSD 6.1)
powerpc:python27-2.7.11.tgz(NetBSD 7.0)
powerpc:python27-2.7.13nb1.tgz(NetBSD 7.1)
powerpc:python27-2.7.14.tgz(NetBSD 7.1)
powerpc:python27-2.7.13nb1.tgz(NetBSD 8.0)
powerpc:python27-2.7.14.tgz(NetBSD 8.0)
sh3el:python27-2.7.10.tgz(NetBSD 7.0)
sparc64:python27-2.7.10.tgz(NetBSD 7.0)
sparc64:python27-2.7.11.tgz(NetBSD 7.0)
sparc64:python27-2.7.9nb1.tgz(NetBSD 7.0)
sparc64:python27-2.7.12nb4.tgz(NetBSD 7.1_RC1)
sparc:python27-2.7.8.tgz(NetBSD 6.0)
sparc:python27-2.7.10.tgz(NetBSD 6.1)
sparc:python27-2.7.10.tgz(NetBSD 7.0)
sparc:python27-2.7.12nb4.tgz(NetBSD 7.0)
vax:python27-2.7.11nb2.tgz(NetBSD 7.0)
x86_64:python27-2.7.14.tgz(NetBSD 6.0)
x86_64:python27-2.7.12nb4.tgz(NetBSD 6.0)
x86_64:python27-2.7.12nb4.tgz(NetBSD 6.0)
x86_64:python27-2.7.13nb1.tgz(NetBSD 6.0)
x86_64:python27-2.7.13nb1.tgz(NetBSD 6.0)
x86_64:python27-2.7.14.tgz(NetBSD 6.1)
x86_64:python27-2.7.12nb4.tgz(NetBSD 6.1)
x86_64:python27-2.7.12nb4.tgz(NetBSD 6.1)
x86_64:python27-2.7.13nb1.tgz(NetBSD 6.1)
x86_64:python27-2.7.13nb1.tgz(NetBSD 6.1)
x86_64:python27-2.7.14.tgz(NetBSD 7.0)
x86_64:python27-2.7.12nb4.tgz(NetBSD 7.0)
x86_64:python27-2.7.12nb4.tgz(NetBSD 7.0)
x86_64:python27-2.7.13nb1.tgz(NetBSD 7.0)
x86_64:python27-2.7.13nb1.tgz(NetBSD 7.0)
x86_64:python27-2.7.13nb1.tgz(NetBSD 7.0.1_PATCH)
x86_64:python27-2.7.13nb1.tgz(NetBSD 8.99.1)
x86_64:python27-2.7.13nb1.tgz(NetBSD 8.99.1)

The NetBSD packages collection is designed to permit easy installation from source - particularly useful if the latest binary package is not available for your chosen platform.


[ Go up one level | Go to top of packages tree | List all packages ]